#pragma once

#include <esp_http_server.h>

// Define the function pointer type for the custom API handler
typedef void (*CustomAPIHandler)(httpd_handle_t server);

// Global instance of the custom API context
extern CustomAPIHandler g_customAPIContext;

// Function to set the custom API handler
void setCustomAPIHandler(CustomAPIHandler handler);